package turtleexsolution;

import java.util.Scanner;
import unit4.turtleLib.Turtle;

// draws concentric rectangles
public class Ex3_ConcentricRectangles
{
    public static Scanner input = new Scanner(System.in);
    public static void main(String[] args)
    {
        System.out.println("Enter number of squares");
        int n = input.nextInt();
        System.out.println("Enter length of edge");
        double len = input.nextInt(); // edge length
        Turtle t = new Turtle();
        t.tailDown();
        t.setVisible(false);
        double d = len / (2 * n); // difference of length between two adjacent squares
        for ( int j = 1; j <= n; j++)
        {
            // draws square
            for(int i = 1; i <= 4; i++)
            {
                t.moveForward(len);
                t.turnRight(90);
            }
            // moves to next square start point
            t.tailUp();
            t.moveForward(d/2);
            t.turnRight(90);
            t.moveForward(d/2);
            t.turnLeft(90);
            len -= d; // descend the length of the current square
            t.tailDown();
            
        }
    }
}
