package turtleexsolution;

import java.awt.Color;
import java.util.Scanner;

import unit4.turtleLib.Turtle;
/**
 * Draws histogram of grades
 * @author Valery
 */
public class Ex8_Histogram {

	public static void main(String[] args) {
		Scanner in = new Scanner(System.in);
		
		
		Turtle t = new Turtle();
                // init the start location
		t.turnRight(90);
		t.moveForward(-400);
		t.tailDown();
		t.setDelay(100);
                
                int count = 0; // number of grades
                double sum = 0; // total 
                
		System.out.println("Enter list of grades terminated by -1");
		int grade = in.nextInt();
		int width = 20; // the column width and space between columns
		double scale = 2; // scale coefficient to translate columns heights 
		while (grade != -1) {
			// Draw bar
			t.turnLeft(90);
			t.moveForward(grade * scale);
			t.turnRight(90);
			t.moveForward(width);
			t.turnRight(90);
			t.moveForward(grade * scale);
			t.turnLeft(90);
			t.moveForward(width);
                        
                        //calc
                        count++;
                        sum += grade;
                        //input
			grade = in.nextInt();
		}
                
                // the length of the average line
                double length = count * 2 * width;
                double avg = sum/count;
                t.tailUp();
                t.turnLeft(90);
                t.moveForward(avg * scale);
                t.turnLeft(90);
                t.tailDown();
                t.setTailColor(Color.red);
                t.moveForward(length);
                t.setVisible(false);
	}

}
